// Continuous Input / Continuous Output

let linearScale = d3
  .scaleLinear()
  .domain([0, 100])
  .range([0, 500]);

let sqrtScale = d3
  .scaleSqrt()
  .domain([0, 100])
  .range([0, 500]);

let logScale = d3
  .scaleLog()
  .domain([10, 1000])
  .range([0, 500]);

let timeScale = d3
  .scaleTime()
  .domain([
    new Date(2020, 0, 1),
    new Date(2020, 5, 1),
  ])
  .range([0, 500]);

let bandScale = d3
  .scaleBand()
  .domain(['Mon', 'Tue', 'Wed', 'Thu', 'Fri'])
  .range([0, 500]);

let pointScale = d3
  .scalePoint()
  .domain(['Mon', 'Tue', 'Wed', 'Thu', 'Fri'])
  .range([0, 500]);

let axis = d3.axisBottom();

axis.scale(linearScale);
d3.select('#linear').call(axis);

axis.scale(sqrtScale);
d3.select('#sqrt').call(axis);

axis.scale(logScale);
d3.select('#log').call(axis);

axis.scale(timeScale);
d3.select('#time').call(axis);

axis.scale(bandScale);
d3.select('#band').call(axis);

axis.scale(pointScale);
d3.select('#point').call(axis);
